hadoop-zookeeper-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sergey Doroshenko <dors...@gmail.com>
Subject Re: building client tools
Date Tue, 13 Jul 2010 17:47:18 GMT
Andrei is right. Also, libcppunit-dev might be neeeded too.
"sudo apt-get install libcppunit-1.12-1 libcppunit-dev" (I'm assuming 1.12
is the latest version) should do the trick

On Tue, Jul 13, 2010 at 8:39 PM, Andrei Savu <savu.andrei@gmail.com> wrote:

> Hi,
>
> In this case I think you have to install libcppunit (should work using
> apt-get). I believe that should be enough but I don't really remember
> what else I've installed the first time I compiled the c client.
>
> Let me know what else was needed. I would like to submit a patch to
> update the README file in order to avoid this problem in the future.
>
> Thanks.
>
> On Tue, Jul 13, 2010 at 8:09 PM, Martin Waite <waite.134@gmail.com> wrote:
> > Hi,
> >
> > I am trying to build the c client on debian lenny for zookeeper 3.3.1.
> >
> > autoreconf -if
> > configure.ac:33: warning: macro `AM_PATH_CPPUNIT' not found in library
> > configure.ac:33: warning: macro `AM_PATH_CPPUNIT' not found in library
> > configure.ac:33: error: possibly undefined macro: AM_PATH_CPPUNIT
> >      If this token and others are legitimate, please use
> m4_pattern_allow.
> >      See the Autoconf documentation.
> > autoreconf: /usr/bin/autoconf failed with exit status: 1
> >
> > I probably need to install some required tools.   Is there a list of what
> > tools are needed to build this please ?
> >
> > regards,
> > Martin
> >
>
>
>
> --
> Andrei Savu - http://andreisavu.ro/
>



-- 
Regards, Sergey

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message